path: /build/build/i3lock-x11-misc-2.15.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} x11-misc/i3lock -pv -t && \
    emerge -j ${JOBS} --nodeps x11-misc/i3lock
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/i3lock && luet-portage --dir /pkgdir/i3lock
    x11-misc/i3lock && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:461a5e3727bee27ab8bd4c78ce1ce36f4a82a218f8798d590e38eb87ea43d7dd
  package:
    name: i3lock
    version: "2.15"
    category: x11-misc
    requires:
    - name: yajl
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: improved screen locker
    uri:
    - https://i3wm.org/i3lock/
    license: BSD
    buildtimestamp: 2024-04-29 15:11:44.610217265 +0000 UTC m=+293.409841868
    labels:
      BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/libev sys-libs/pam x11-libs/cairo[X,xcb(+)] x11-libs/libxcb[xkb]
        x11-libs/libxkbcommon[X] x11-libs/xcb-util x11-libs/xcb-util-xrm
      RDEPEND: dev-libs/libev sys-libs/pam x11-libs/cairo[X,xcb(+)] x11-libs/libxcb[xkb]
        x11-libs/libxkbcommon[X] x11-libs/xcb-util x11-libs/xcb-util-xrm
      emerge.packages: x11-misc/i3lock
      kit: desktop-kit
      original.package.name: x11-misc/i3lock
      original.package.slot: "0"
      original.package.version: "2.15"
    treedir: /build/packages
  package_dir: /pkgdir/i3lock
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 27a7606cb7fdd93e21e01c059ad5785eff5e55006fb9d43d7e44458ce6835f98
compressiontype: zstd
files:
- etc/pam.d/i3lock
- usr/bin/i3lock
- usr/share/doc/i3lock-2.15/CHANGELOG.bz2
- usr/share/doc/i3lock-2.15/README.md.bz2
- usr/share/man/man1/i3lock.1.bz2
- var/db/pkg/x11-misc/i3lock-2.15/BDEPEND
- var/db/pkg/x11-misc/i3lock-2.15/BUILD_TIME
- var/db/pkg/x11-misc/i3lock-2.15/CATEGORY
- var/db/pkg/x11-misc/i3lock-2.15/CBUILD
- var/db/pkg/x11-misc/i3lock-2.15/CFLAGS
- var/db/pkg/x11-misc/i3lock-2.15/CHOST
- var/db/pkg/x11-misc/i3lock-2.15/CONTENTS
- var/db/pkg/x11-misc/i3lock-2.15/COUNTER
- var/db/pkg/x11-misc/i3lock-2.15/CXXFLAGS
- var/db/pkg/x11-misc/i3lock-2.15/DEFINED_PHASES
- var/db/pkg/x11-misc/i3lock-2.15/DEPEND
- var/db/pkg/x11-misc/i3lock-2.15/DESCRIPTION
- var/db/pkg/x11-misc/i3lock-2.15/EAPI
- var/db/pkg/x11-misc/i3lock-2.15/FEATURES
- var/db/pkg/x11-misc/i3lock-2.15/HOMEPAGE
- var/db/pkg/x11-misc/i3lock-2.15/INHERITED
- var/db/pkg/x11-misc/i3lock-2.15/IUSE
- var/db/pkg/x11-misc/i3lock-2.15/IUSE_EFFECTIVE
- var/db/pkg/x11-misc/i3lock-2.15/KEYWORDS
- var/db/pkg/x11-misc/i3lock-2.15/LDFLAGS
- var/db/pkg/x11-misc/i3lock-2.15/LICENSE
- var/db/pkg/x11-misc/i3lock-2.15/NEEDED
- var/db/pkg/x11-misc/i3lock-2.15/PF
- var/db/pkg/x11-misc/i3lock-2.15/RDEPEND
- var/db/pkg/x11-misc/i3lock-2.15/REQUIRES
- var/db/pkg/x11-misc/i3lock-2.15/SIZE
- var/db/pkg/x11-misc/i3lock-2.15/SLOT
- var/db/pkg/x11-misc/i3lock-2.15/USE
- var/db/pkg/x11-misc/i3lock-2.15/environment.bz2
- var/db/pkg/x11-misc/i3lock-2.15/i3lock-2.15.ebuild
- var/db/pkg/x11-misc/i3lock-2.15/repository
package_cacheimage: ""
runtime:
  name: i3lock
  version: "2.15"
  category: x11-misc
  requires:
  - name: libev
    version: '>=0'
    category: dev-libs
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: libxkbcommon
    version: '>=0'
    category: x11-libs
  - name: xcb-util-xrm
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: improved screen locker
  uri:
  - https://i3wm.org/i3lock/
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/libev sys-libs/pam x11-libs/cairo[X,xcb(+)] x11-libs/libxcb[xkb]
      x11-libs/libxkbcommon[X] x11-libs/xcb-util x11-libs/xcb-util-xrm
    RDEPEND: dev-libs/libev sys-libs/pam x11-libs/cairo[X,xcb(+)] x11-libs/libxcb[xkb]
      x11-libs/libxkbcommon[X] x11-libs/xcb-util x11-libs/xcb-util-xrm
    emerge.packages: x11-misc/i3lock
    kit: desktop-kit
    original.package.name: x11-misc/i3lock
    original.package.slot: "0"
    original.package.version: "2.15"
